Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim.dynamic
Class AnimatedObject

    java.lang.Object
      java.lang.Thread
          ix.isim.dynamic.AnimatedObject

All Implemented Interfaces:
  java.lang.Runnable

    public class AnimatedObject

extends java.lang.Thread

Title: I-X Simple Object Animation Tool

Copyright: Copyright (c) 2005

Company: AIAI, University of Edinburgh

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`(package private) static int` | `displayRes`
`(package private) static int` | `iniScale`
`(package private) static double` | `screenDotSize`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AnimatedObject(java.io.StreamTokenizer st)`

Method Summary
`void` | `run()`
`void` | `terminate()`
`java.lang.String` | `toString()`
`void` | `useScale(int scale)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### displayRes

    static final int displayRes

See Also:
  Constant Field Values

### screenDotSize

    static final double screenDotSize

See Also:
  Constant Field Values

### iniScale

    static final int iniScale

See Also:
  Constant Field Values

Constructor Detail

### AnimatedObject

    public AnimatedObject(java.io.StreamTokenizer st)
                   throws java.text.ParseException,
                          java.io.IOException

Throws:
  `java.text.ParseException`
  `java.io.IOException`

Method Detail

### useScale

    public void useScale(int scale)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### terminate

    public void terminate()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD